/*
 * SFTest.cpp
 *
 * David Evans (dfevans@bbcr.uwaterloo.ca), July 5th, 1996
 *
 * A little quick-and-dirty program to test my SetFile add-on.  Note that no
 * error checking is done, so beware.  You can also fool the add-on's error
 * message functionality.  If you give it a ref that doesn't exist, it will
 * complain that it can't setfile database-only items.
 *
 * Since this isn't a real application, I hope no one minds my crummy app
 * signature...
 */

#include <KernelKit.h>
#include <StorageKit.h>
#include <Message.h>

void main(int argc, char **argv)
{
	record_ref theRef;
	record_ref addRef, rootRef;
	new BApplication('sftt');
	BFile addFile;
	BMessage msg;
	image_id addImage;
	void (*process_refs)(record_ref dir_ref, BMessage* msg, void*);
	
	if(argc != 3)
	{
		fprintf(stderr, "%s: Usage SFTest <path to SetFile add-on> <something to setfile>\n", argv[0]);
		exit(1);
	}
	
	get_ref_for_path(argv[2], &theRef);
	get_ref_for_path("/boot", &rootRef);
	get_ref_for_path(argv[1], &addRef);
	addFile.SetRef(addRef);
	addImage = load_add_on(&addFile);
	
	get_image_symbol(addImage, "process_refs__F10record_refP8BMessagePv", B_SYMBOL_TYPE_TEXT, &process_refs);

	msg.AddRef("refs", theRef);
	process_refs(rootRef, &msg, NULL);

}

	